<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/*
 * HTML Output for the Add-ons page
 */
?>


<div id="pms-addons-page" class="wrap">

    <h1><?php esc_html_e( 'Activate your licence', 'paid-member-subscriptions' ); ?></h1>

    <div class="pms-serial-wrap">
        <form method="post" action="options.php">

            <?php
            $pms_serial_status      = pms_get_serial_number_status();
            $pms_serial_number      = pms_get_serial_number();
            ?>

            <?php settings_fields( 'pms_serial_number' ); ?>

            <label for="pms_serial_number"><?php esc_html_e( 'Serial number', 'paid-member-subscriptions' ); ?></label>
            <div class="pms-add-on-serial-number-wrapper <?php PMS_Submenu_Page_Addons::add_ons_output_styling_class( $pms_serial_status ); ?>">
                <input type="<?php echo ( ( !empty( $pms_serial_status ) && $pms_serial_status == 'notFound' ) || !$pms_serial_number ? 'text' : 'password' ); ?>" name="pms_serial_number" class="<?php PMS_Submenu_Page_Addons::add_ons_output_styling_class( $pms_serial_status ); ?>" id="pms_serial_number" value="<?php echo ( !empty( $pms_serial_number ) ? esc_attr( pms_get_serial_number() ) : '' ); ?>">                <span class="status-dot"></span>
            </div>

            <?php submit_button( esc_html__( 'Save Changes', 'paid-member-subscriptions' ) ); ?>

            <div class="pms-serial-wrap__status <?php PMS_Submenu_Page_Addons::add_ons_output_styling_class( $pms_serial_status ); ?>">

                <?php
                PMS_Submenu_Page_Addons::add_ons_output_serial_number_status_message();
                ?>
            </div>
        </form>

        <p>
            <?php esc_html_e( 'The serial number is used to access the premium plugin versions, any updates made to them and support.', 'paid-member-subscriptions' ); ?>
        </p>

    </div>

    <?php
    //initialize the object
    $pms_addons_listing = new PMS_Addons_List_Table();
    $pms_addons_listing->images_folder = PMS_PLUGIN_DIR_URL.'assets/images/';
    $pms_addons_listing->text_domain = 'paid-member-subscriptions';
    $pms_addons_listing->header = array( 'title' => __('Paid Member Subscriptions Add-ons', 'paid-member-subscriptions' ) );
    if( defined( 'PAID_MEMBER_SUBSCRIPTIONS' ) )
        $pms_addons_listing->current_version = PAID_MEMBER_SUBSCRIPTIONS;
    else
        $pms_addons_listing->current_version = 'Paid Member Subscriptions';//in free version we do not define the constant as free version needs to be active always
    $pms_addons_listing->tooltip_header = __( 'Paid Member Subscriptions Add-ons', 'paid-member-subscriptions' );
    $pms_addons_listing->tooltip_content = sprintf( __( 'You must first purchase this version to have access to the addon %1$shere%2$s', 'paid-member-subscriptions' ), '<a target="_blank" href="'. 'https://www.cozmoslabs.com/wordpress-paid-member-subscriptions/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS'.'">', '</a>' );


    //Add Basic section
    $pms_addons_listing->section_header = array( 'title' => __('Basic Add-ons', 'paid-member-subscriptions' ), 'description' => __('These addons extend Paid Member Subscriptions and are available in the Basic, Pro and Unlimited plans.', 'paid-member-subscriptions')  );
    $pms_addons_listing->section_versions = array( 'Paid Member Subscriptions - Basic', 'Paid Member Subscriptions - Pro', 'Paid Member Subscriptions - Elite', 'Paid Member Subscriptions - Dev', 'Paid Member Subscriptions - Unlimited' );
    $pms_addons_listing->items = array(
        array(  'slug' => 'pms-add-on-bbpress/index.php',
            'type' => 'add-on',
            'name' => __( 'bbPress', 'paid-member-subscriptions' ),
            'description' => __( 'Integrate Paid Member Subscriptions with the popular forums plugin, bbPress. Restrict your forums and topics and allow only premium members to have access to them.', 'paid-member-subscriptions' ),
            'icon' => 'bbpress_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/bbpress/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-discount-codes/index.php',
            'type' => 'add-on',
            'name' => __( 'Discount Codes', 'paid-member-subscriptions' ),
            'description' => __( 'Friction-less discount code creation for running promotions, making price reductions or simply rewarding your users.', 'paid-member-subscriptions' ),
            'icon' => 'discount_codes_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/discount-codes/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-email-reminders/index.php',
            'type' => 'add-on',
            'name' => __( 'Email Reminders', 'paid-member-subscriptions' ),
            'description' => __( 'Create multiple automated email reminders that are sent to members before or after certain events take place (subscription expires, subscription activated etc.)', 'paid-member-subscriptions' ),
            'icon' => 'email_reminders_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/email-reminders/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-member-subscription-fixed-period/index.php',
            'type' => 'add-on',
            'name' => __( 'Fixed Period Membership', 'paid-member-subscriptions' ),
            'description' => __( 'The Fixed Period Membership Add-On allows your Subscriptions to end at a specific date, no matter when a client subscribes to it.', 'paid-member-subscriptions' ),
            'icon' => 'fixed_period_membership_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/fixed-period-membership/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-global-content-restriction/index.php',
            'type' => 'add-on',
            'name' => __( 'Global Content Restriction', 'paid-member-subscriptions' ),
            'description' => __( 'Easy way to add global content restriction rules to subscription plans, based on post type, taxonomy and terms.', 'paid-member-subscriptions' ),
            'icon' => 'global_content_restriction_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/global-content-restriction/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-navigation-menu-filtering/index.php',
            'type' => 'add-on',
            'name' => __( 'Navigation Menu Filtering', 'paid-member-subscriptions' ),
            'description' => __( 'Dynamically display menu items based on logged-in status as well as selected subscription plans.', 'paid-member-subscriptions' ),
            'icon' => 'navigation_menu_filtering_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/navigation-menu-filtering/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-pay-what-you-want/index.php',
            'type' => 'add-on',
            'name' => __( 'Pay What You Want', 'paid-member-subscriptions' ),
            'description' => __( 'Let subscribers pay what they want by offering a variable pricing option when they purchase a membership plan.', 'paid-member-subscriptions' ),
            'icon' => 'pay_what_you_want_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/pay-what-you-want-variable-pricing/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
    );
    $pms_addons_listing->add_section();

    //Add Pro Section
    $pms_addons_listing->section_header = array( 'title' => __('Pro Add-ons', 'paid-member-subscriptions' ), 'description' => __('These addons extend Paid Member Subscriptions and are available in the Pro and Unlimited plans.', 'paid-member-subscriptions')  );
    $pms_addons_listing->section_versions = array( 'Paid Member Subscriptions - Pro', 'Paid Member Subscriptions - Elite', 'Paid Member Subscriptions - Dev', 'Paid Member Subscriptions - Unlimited' );
    $pms_addons_listing->items = array(
        array(  'slug' => 'pms-add-on-content-dripping/index.php',
            'type' => 'add-on',
            'name' => __( 'Content Dripping', 'paid-member-subscriptions' ),
            'description' => __( 'Create schedules for your content, making posts or categories available for your members only after a certain time has passed since they signed up for a subscription plan.', 'paid-member-subscriptions' ),
            'icon' => 'content_dripping_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/content-dripping/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-group-memberships/index.php',
            'type' => 'add-on',
            'name' => __( 'Group Memberships', 'paid-member-subscriptions' ),
            'description' => __( 'Sell umbrella memberships that contain multiple member seats but are managed and purchased by a single account.', 'paid-member-subscriptions' ),
            'icon' => 'group_memberships_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/group-memberships/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-invoices/index.php',
            'type' => 'add-on',
            'name' => __( 'Invoices', 'paid-member-subscriptions' ),
            'description' => __( 'Automatically generate PDF invoices for each subscription payment using the new Invoices add-on.', 'paid-member-subscriptions' ),
            'icon' => 'invoices_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/invoices/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-multiple-subscriptions-per-user/index.php',
            'type' => 'add-on',
            'name' => __( 'Multiple Subscriptions Per User', 'paid-member-subscriptions' ),
            'description' => __( 'Setup multiple subscription level blocks and allow members to sign up for more than one subscription plan (one per block).', 'paid-member-subscriptions' ),
            'icon' => 'multiple_subscriptions_per_user_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/multiple-subscriptions-per-user/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-paypal-express-pro/index.php',
            'type' => 'add-on',
            'name' => __( 'PayPal Express', 'paid-member-subscriptions' ),
            'description' => __( 'Accept one-time or recurring payments through PayPal Pro (credit card) and PayPal Express.', 'paid-member-subscriptions' ),
            'icon' => 'paypal_express_pro_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/paypal-pro-and-express-checkout/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-paypal-standard-recurring-payments/index.php',
            'type' => 'add-on',
            'name' => __( 'Recurring Payments for PayPal Standard', 'paid-member-subscriptions' ),
            'description' => __( 'Accept recurring payments from your members through PayPal Standard.', 'paid-member-subscriptions' ),
            'icon' => 'paypal_standard_recurring_payments_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/recurring-payments-for-paypal-standard/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-stripe/index.php',
            'type' => 'add-on',
            'name' => __( 'Stripe', 'paid-member-subscriptions' ),
            'description' => __( 'Accept credit card payments, both one-time and recurring, directly on your website via Stripe.', 'paid-member-subscriptions' ),
            'icon' => 'stripe_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/stripe-payment-gateway/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
        array(  'slug' => 'pms-add-on-tax/index.php',
            'type' => 'add-on',
            'name' => __( 'Tax & EU VAT', 'paid-member-subscriptions' ),
            'description' => __( 'Helps you collect tax or vat from your users depending on their location, with full control over tax rates and who to charge.', 'paid-member-subscriptions' ),
            'icon' => 'tax_icon.png',
            'doc_url' => 'https://www.cozmoslabs.com/docs/paid-member-subscriptions/add-ons/tax-eu-vat/?utm_source=wpbackend&utm_medium=clientsite&utm_content=add-on-page&utm_campaign=PMS',
        ),
    );
    $pms_addons_listing->add_section();


    //Display the whole listing
    $pms_addons_listing->display_addons();

    ?>


</div>

<?php
$pms_get_all_plugins    = get_plugins();
$pms_get_active_plugins = get_option( 'active_plugins' );
$ajax_nonce             = wp_create_nonce( 'pms-activate-addon' );
?>
<div class="wrap pms-wrap pms-add-ons-wrap">


    <h2><?php esc_html_e( 'Recommended Plugins', 'paid-member-subscriptions' ) ?></h2>
    <div>

        <?php
        $trp_add_on_exists = 0;
        $trp_add_on_is_active = 0;
        $trp_add_on_is_network_active = 0;
        // Check to see if add-on is in the plugins folder
        foreach ($pms_get_all_plugins as $pms_plugin_key => $pms_plugin) {
            if( strtolower($pms_plugin['Name']) == strtolower( 'TranslatePress - Multilingual' ) && strpos(strtolower($pms_plugin['AuthorName']), strtolower('Cozmoslabs')) !== false) {
                $trp_add_on_exists = 1;
                if (in_array($pms_plugin_key, $pms_get_active_plugins)) {
                    $trp_add_on_is_active = 1;
                }
                // Consider the add-on active if it's network active
                if (is_plugin_active_for_network($pms_plugin_key)) {
                    $trp_add_on_is_network_active = 1;
                    $trp_add_on_is_active = 1;
                }
                $plugin_file = $pms_plugin_key;
            }
        }
        ?>
        <div class="plugin-card pms-recommended-plugin pms-add-on">
            <div class="plugin-card-top">
                <a target="_blank" href="https://wordpress.org/plugins/translatepress-multilingual/">
                    <img src="<?php echo esc_url( PMS_PLUGIN_DIR_URL . 'assets/images/trp-recommended.png' ); ?>" width="100%">
                </a>
                <h3 class="pms-add-on-title">
                    <a target="_blank" href="https://wordpress.org/plugins/translatepress-multilingual/">TranslatePress</a>
                </h3>
                <h3 class="pms-add-on-price"><?php  esc_html_e( 'Free', 'paid-member-subscriptions' ) ?></h3>
                <p class="pms-add-on-description">
                    <?php esc_html_e( 'Translate your Paid Member Subscriptions checkout with a WordPress translation plugin that anyone can use. It offers a simpler way to translate WordPress sites, with full support for WooCommerce and site builders.', 'paid-member-subscriptions' ) ?>
                    <a href="<?php echo esc_url( admin_url() . 'plugin-install.php?tab=plugin-information&plugin=translatepress-multilingual&TB_iframe=true&width=772&height=875' ); ?>" class="thickbox" aria-label="More information about TranslatePress - Multilingual" data-title="TranslatePress - Multilingual"><?php esc_html_e( 'More Details', 'paid-member-subscriptions' ); ?></a>
                </p>
            </div>
            <div class="plugin-card-bottom pms-add-on-compatible">
                <?php
                if ($trp_add_on_exists) {

                    // Display activate/deactivate buttons
                    if (!$trp_add_on_is_active) {
                        echo '<a class="pms-add-on-activate right button button-secondary" href="' . esc_attr( $plugin_file ) . '" data-nonce="' . esc_attr( $ajax_nonce ) . '">' . esc_html__('Activate', 'paid-member-subscriptions') . '</a>';

                        // If add-on is network activated don't allow deactivation
                    } elseif (!$trp_add_on_is_network_active) {
                        echo '<a class="pms-add-on-deactivate right button button-secondary" href="' . esc_attr( $plugin_file ) . '" data-nonce="' . esc_attr( $ajax_nonce ) . '">' . esc_html__('Deactivate', 'paid-member-subscriptions') . '</a>';
                    }

                    // Display message to the user
                    if( !$trp_add_on_is_active ){
                        echo '<span class="dashicons dashicons-no-alt"></span><span class="pms-add-on-message">' . wp_kses_post( __('Plugin is <strong>inactive</strong>', 'paid-member-subscriptions') ) . '</span>';
                    } else {
                        echo '<span class="dashicons dashicons-yes"></span><span class="pms-add-on-message">' . wp_kses_post( __('Plugin is <strong>active</strong>', 'paid-member-subscriptions') ) . '</span>';
                    }

                } else {
                    // handles the in-page download
                    $pms_paid_link_text = esc_html__('Install Now', 'paid-member-subscriptions');

                    echo '<a class="right install-now button button-secondary" href="'. esc_url( wp_nonce_url(self_admin_url('update.php?action=install-plugin&plugin=translatepress-multilingual'), 'install-plugin_translatepress-multilingual') ) .'" data-add-on-slug="translatepress-multilingual" data-add-on-name="TranslatePress - Multilingual" data-nonce="' . esc_attr( $ajax_nonce ) . '">' . esc_html( $pms_paid_link_text ) . '</a>';
                    echo '<span class="dashicons dashicons-yes"></span><span class="pms-add-on-message">' . esc_html__('Compatible with Paid Member Subscriptions.', 'paid-member-subscriptions') . '</span>';

                }
                ?>
                <div class="spinner"></div>
                <span class="pms-add-on-user-messages pms-error-manual-install"><?php printf(esc_html__('Could not install plugin. Retry or <a href="%s" target="_blank">install manually</a>.', 'paid-member-subscriptions'), esc_url( 'https://www.wordpress.org/plugins/translatepress-multilingual' )) ?></a>.</span>
            </div>
        </div>


        <?php
        $pb_add_on_exists = 0;
        $pb_add_on_is_active = 0;
        $pb_add_on_is_network_active = 0;
        // Check to see if add-on is in the plugins folder
        foreach ($pms_get_all_plugins as $pms_plugin_key => $pms_plugin) {
            if( in_array( strtolower($pms_plugin['Name']), array( strtolower( 'Profile Builder' ), strtolower( 'Profile Builder Hobbyist' ), strtolower( 'Profile Builder Pro' ) ) ) && strpos(strtolower($pms_plugin['AuthorName']), strtolower('Cozmoslabs')) !== false) {
                $pb_add_on_exists = 1;
                if (in_array($pms_plugin_key, $pms_get_active_plugins)) {
                    $pb_add_on_is_active = 1;
                }
                // Consider the add-on active if it's network active
                if (is_plugin_active_for_network($pms_plugin_key)) {
                    $pb_add_on_is_network_active = 1;
                    $pb_add_on_is_active = 1;
                }
                $plugin_file = $pms_plugin_key;

                if( $pb_add_on_is_active )
                    break;
            }
        }
        ?>
        <div class="plugin-card pms-recommended-plugin pms-add-on">
            <div class="plugin-card-top">
                <a target="_blank" href="http://wordpress.org/plugins/profile-builder/">
                    <img src="<?php echo esc_url( PMS_PLUGIN_DIR_URL . 'assets/images/pb-recommended.png' ); ?>" width="100%">
                </a>
                <h3 class="pms-add-on-title">
                    <a target="_blank" href="http://wordpress.org/plugins/profile-builder/">Profile Builder</a>
                </h3>
                <h3 class="pms-add-on-price"><?php  esc_html_e( 'Free', 'paid-member-subscriptions' ) ?></h3>
                <p class="pms-add-on-description">
                    <?php esc_html_e( "Capture more user information on the registration form with the help of Profile Builder's custom user profile fields and/or add an Email Confirmation process to verify your customers accounts.", 'paid-member-subscriptions' ) ?>
                    <a href="<?php echo esc_url( admin_url() . 'plugin-install.php?tab=plugin-information&plugin=profile-builder&TB_iframe=true&width=772&height=875' );?>" class="thickbox" aria-label="More information about Profile Builder" data-title="Profile Builder"><?php esc_html_e( 'More Details', 'paid-member-subscriptions' ); ?></a>
                </p>
            </div>
            <div class="plugin-card-bottom pms-add-on-compatible">
                <?php
                if ($pb_add_on_exists) {

                    // Display activate/deactivate buttons
                    if (!$pb_add_on_is_active) {
                        echo '<a class="pms-add-on-activate right button button-secondary" href="' . esc_attr( $plugin_file ) . '" data-nonce="' . esc_attr( $ajax_nonce ) . '">' . esc_html__('Activate', 'paid-member-subscriptions') . '</a>';

                        // If add-on is network activated don't allow deactivation
                    } elseif (!$pb_add_on_is_network_active) {
                        echo '<a class="pms-add-on-deactivate right button button-secondary" href="' . esc_attr( $plugin_file ) . '" data-nonce="' . esc_attr( $ajax_nonce ) . '">' . esc_html__('Deactivate', 'paid-member-subscriptions') . '</a>';
                    }

                    // Display message to the user
                    if( !$pb_add_on_is_active ){
                        echo '<span class="dashicons dashicons-no-alt"></span><span class="pms-add-on-message">' . wp_kses_post( __('Plugin is <strong>inactive</strong>', 'paid-member-subscriptions') ) . '</span>';
                    } else {
                        echo '<span class="dashicons dashicons-yes"></span><span class="pms-add-on-message">' . wp_kses_post( __('Plugin is <strong>active</strong>', 'paid-member-subscriptions') ) . '</span>';
                    }

                } else {
                    // handles the in-page download
                    $pms_paid_link_text = esc_html__('Install Now', 'paid-member-subscriptions');

                    echo '<a class="right install-now button button-secondary" href="'. esc_url( wp_nonce_url(self_admin_url('update.php?action=install-plugin&plugin=profile-builder'), 'install-plugin_profile-builder') ) .'" data-add-on-slug="profile-builder" data-add-on-name="Profile Builder" data-nonce="' . esc_attr( $ajax_nonce ) . '">' . esc_html( $pms_paid_link_text ) . '</a>';
                    echo '<span class="dashicons dashicons-yes"></span><span class="pms-add-on-message">' . esc_html__('Compatible with Paid Member Subscriptions.', 'paid-member-subscriptions') . '</span>';

                }
                ?>
                <div class="spinner"></div>
                <span class="pms-add-on-user-messages pms-error-manual-install"><?php printf(esc_html__('Could not install plugin. Retry or <a href="%s" target="_blank">install manually</a>.', 'paid-member-subscriptions'), esc_url( 'http://www.wordpress.org/plugins/profile-builder' )) ?></a>.</span>
            </div>
        </div>

    </div>


    <div class="clear"></div>




    <span id="pms-add-on-activate-button-text" class="pms-add-on-user-messages"><?php echo esc_html__( 'Activate', 'paid-member-subscriptions' ); ?></span>

    <span id="pms-add-on-downloading-message-text" class="pms-add-on-user-messages"><?php echo esc_html__( 'Downloading and installing...', 'paid-member-subscriptions' ); ?></span>
    <span id="pms-add-on-download-finished-message-text" class="pms-add-on-user-messages"><?php echo esc_html__( 'Installation complete', 'paid-member-subscriptions' ); ?></span>

    <span id="pms-add-on-activated-button-text" class="pms-add-on-user-messages"><?php echo esc_html__( 'Add-On is Active', 'paid-member-subscriptions' ); ?></span>
    <span id="pms-add-on-activated-message-text" class="pms-add-on-user-messages"><?php echo esc_html__( 'Add-On has been activated', 'paid-member-subscriptions' ) ?></span>
    <span id="pms-add-on-activated-error-button-text" class="pms-add-on-user-messages"><?php echo esc_html__( 'Retry Install', 'paid-member-subscriptions' ) ?></span>

    <span id="pms-add-on-is-active-message-text" class="pms-add-on-user-messages"><?php echo wp_kses_post( __( 'Add-On is <strong>active</strong>', 'paid-member-subscriptions' ) ); ?></span>
    <span id="pms-add-on-is-not-active-message-text" class="pms-add-on-user-messages"><?php echo wp_kses_post( __( 'Add-On is <strong>inactive</strong>', 'paid-member-subscriptions' ) ); ?></span>

    <span id="pms-add-on-deactivate-button-text" class="pms-add-on-user-messages"><?php echo esc_html__( 'Deactivate', 'paid-member-subscriptions' ) ?></span>
    <span id="pms-add-on-deactivated-message-text" class="pms-add-on-user-messages"><?php echo esc_html__( 'Add-On has been deactivated.', 'paid-member-subscriptions' ) ?></span>



</div>
